petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSFBcastBegin

begin pointwise broadcast to be concluded with call to PetscSFBcastEnd()

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFBcastBegin(PetscSF sf,MPI_Datatype unit,const void *rootdata,void *leafdata)

Collective on PetscSF

### Input Arguments

| sf | - star forest on which to communicate
| unit | - data type associated with each node
| rootdata | - buffer to broadcast

### Output Arguments

leafdata -buffer to update with values from each leaf's respective root

### See Also

PetscSFCreate(), PetscSFSetGraph(), PetscSFView(), PetscSFBcastEnd(), PetscSFReduceBegin()

### Level

intermediate

### Location

src/vec/is/sf/interface/sf.c

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html
src/vec/is/sf/examples/tutorials/ex2.c.html
src/vec/is/sf/examples/tutorials/ex1f.F90.html
src/ts/examples/tutorials/ex11.c.html

### Implementations

PetscSFBcastBegin_Basic in src/vec/is/sf/impls/basic/sfbasic.c
PetscSFBcastBegin_Window in src/vec/is/sf/impls/window/sfwindow.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages